webpack-dev-server –inline –progress –config build/webpack.dev.conf.js-Qui-Note

BUG:

webpack-dev-server --inline --progress --config build/webpack.dev.conf.js
'webpack-dev-server' 不是内部或外部命令,也不是可运行的程序
或批处理文件。

错误原因:

webpack-dev-server版本和vue版本不一样,需要将webpack-dev-server卸载了,安装对应版本!

解决办法:

1.查看当前vue版本

vue -V

2.在项目内安装对应的webpack-dev-server版本
例如vue版本是2.9.6,就需要安装(其他版本改后面的版本号即可)

npm i webpack-dev-server@2.9.6

安装之后就可以正常启动了!